#ifndef COMMON_H
#define COMMON_H

#include <stdio.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <string.h>
# include <unistd.h>
#include <speex/speex.h>
#include <ogg/ogg.h>
#include <fcntl.h>
#include <math.h>
#include <string.h>

#include <speex/speex_header.h>
#include <speex/speex_stereo.h>
#include <speex/speex_callbacks.h>

int read_wav_header(FILE *file, int *rate, int *channels, int *format, int *size);

void write_wav_header(FILE *file, int rate, int channels, int format, int size);

void print_comments(char *comments, int length);

void *process_header(ogg_packet *op, int enh_enabled, int *frame_size, 
                     int *rate, int *nframes, int forceMode, int *channels,
                     SpeexStereoState *stereo, int *extra_headers, int quiet);

void comment_init(char **comments, int* length, char *vendor_string);
                      
void comment_add(char **comments, int* length, char *tag, char *val);

#endif
